My Project
      • 🐶 Walk through Apidog
      • Sample APIs
        • Find pet by ID
        • Add a new pet to the store
        • Update an existing pet
        • Deletes a pet
        • Finds Pets by status
      • Schemas
        • Sample Schemas
          • Pet
          • Category
          • Tag
    • Hisabin API V1
      • Authentication
        • Register a new user
        • Login with email and password
        • Refresh access token
        • Logout from current device
        • Logout from all devices
        • Request password reset
        • Reset password with token
        • Get current user info
      • Users
        • Get user profile
        • Update user profile
        • Update password
        • List registered devices
        • Remove a device
      • Portfolios
        • List all portfolios
        • Create a portfolio
        • Get a portfolio
        • Update a portfolio
        • Delete a portfolio
      • Accounts
        • List accounts in a portfolio
        • Create an account
        • Get an account
        • Update an account
        • Delete an account
      • Assets
        • List assets in a portfolio
        • Create an asset
        • Get an asset
        • Update an asset
        • Delete an asset
      • Loans
        • List loans in a portfolio
        • Create a loan
        • Get a loan
        • Update a loan
        • Delete a loan
      • Debts
        • List debts in a portfolio
        • Create a debt
        • Get a debt
        • Update a debt
        • Delete a debt
      • Heritages
        • List heritage plans in a portfolio
        • Create a heritage plan
        • Get a heritage plan
        • Update a heritage plan
        • Delete a heritage plan
      • Budgets
        • List budgets in a portfolio
        • Create a budget
        • Get a budget
        • Update a budget
        • Delete a budget
      • Goals
        • List goals in a portfolio
        • Create a goal
        • Get a goal
        • Update a goal
        • Delete a goal
      • Transactions
        • List all transactions
        • Create a transaction
        • List transactions for a specific account
        • Get a transaction
        • Update a transaction
        • Delete a transaction
        • Add attachment to transaction
        • Remove attachment from transaction
        • Create internal transfer between accounts
        • Get monthly transaction summary
      • External Accounts
        • List external accounts
        • Create external account
        • Get external account
        • Update external account
        • Delete external account
      • Subscriptions
        • List subscriptions
        • Create subscription
        • Get subscription summary
        • Get subscription details
        • Update subscription
        • Delete subscription
        • Pause subscription
        • Resume subscription
        • Cancel subscription
        • Record subscription payment
        • Skip subscription payment
        • List subscription payments
      • Schemas
        • Error
        • DeviceInfo
        • TokenResponse
        • UserPlan
        • User
        • AuthResponse
        • UserProfile
        • Device
        • Money
        • Portfolio
        • Account
        • Asset
        • Loan
        • Debt
        • Heritage
        • HeritageBeneficiary
        • HeritageAllocation
        • Budget
        • Goal
        • Transaction
        • Transfer
        • TransactionSummary
        • ExternalAccount
        • Subscription
        • SubscriptionPayment
        • SubscriptionSummary
    • Nukitu API V1
      • Authentication
        • Register a new user
        • Login
        • Verify email with OTP
        • Resend OTP code
        • Refresh access token
        • Request password reset
        • Verify password reset OTP
        • Reset password
        • Logout current device
        • Logout from all devices
        • Get current user info
      • Institutions
        • Search institutions by name
        • Create a new institution
        • Search institutions by location
        • Get all institutions for map display
        • Get user's institutions
        • Get current selected institution
        • Select/choose current institution
        • Clear current institution selection
        • Add institution to user's list
        • Remove institution from user's list
        • Get institution details
        • Update institution
        • List institution work history
      • Settings
        • Get settings
      • Services
        • List all services
        • Get service details with sub-services
        • List competency tests
      • Partners
        • List partners
        • Get partner details
        • Add or remove partner from wishlist (institution)
        • List wishlisted partners
        • Wishlist filter aggregations
        • List partner certifications
        • Register for a certification
        • Get partner certification details
        • List partner certification wishlists
        • Add certification to wishlist
        • Get certification wishlist details
        • Remove certification from wishlist
        • List partner contracts
        • List partner contracts (grouped)
        • Get partner contract details
        • Accept contract (partner)
        • Reject contract (partner)
        • Confirm on route (partner)
        • Start work (partner)
        • Get extension cost estimate (partner)
        • Request time extension (partner)
        • Get QR token end (partner)
        • Get modular (contract details + inspection template)
        • Get modular template only
        • Get contract inspection
        • Create inspection (fixed payload)
        • Update contract inspection
        • Get contract inspection conclusion
        • Create contract inspection conclusion
        • Update contract inspection conclusion
        • Get status of first submitted competency test
        • Upload competency test certificate
        • Update work availability
        • List partner competency tests
        • Get partner competency test details
        • Get basic test info
        • Submit basic test
        • Partner registration
      • Contracts
        • List contracts
        • Create contract (Initial)
        • List institution contracts (grouped)
        • Get contract details
        • Update contract schedule & contacts
        • Update contract details
        • Process payment (Step 3)
        • Upload payment proof
        • Cancel contract (institution)
        • Get QR token start (institution)
        • Get QR token end (institution)
        • Finish work (institution)
        • Approve time extension request (institution)
        • Reject time extension request (institution)
        • List rating items for contract (institution)
        • Get contract inspection (institution)
        • Get contract inspection conclusion (institution)
        • Get contract review (institution)
        • Create contract review (institution)
        • Update contract review (institution)
        • Preview pricing for contract
      • Payment Methods
        • List available payment methods
      • Promotions
        • List available promotions
        • Validate a promotion code
      • Banners
        • List banners
        • Get banner details
      • Certifications
        • List all certifications
        • Get certification details
      • Supervisor Contracts
        • List supervisor contract escalations
        • Get supervisor contract escalation details
        • Get contract inspection (supervisor)
        • Get contract inspection conclusion (supervisor)
        • Assign replacement partner (supervisor)
        • Reject contract escalation (supervisor)
      • Profile
        • Get user profile
        • Update personal information
        • Update domicile information
        • Change password
        • Get partner certifications
        • Get partner education
        • Get partner competencies
      • Supervisor
        • List services with partner count
        • List partners created by supervisor
        • Create partner
        • Get partner created by supervisor
        • Update partner created by supervisor
        • Delete partner created by supervisor
      • Notifications
        • List current user's notifications
        • Get a notification
        • Mark notification as read
      • Device Token
        • Register or update FCM device token
        • Remove FCM device token
      • Schemas
        • Error
        • SuccessResponse
        • MessageResponse
        • Money
        • PaginationMeta
        • PaginatedResponse
        • User
        • UserDetailed
        • Tokens
        • VerificationInfo
        • DeviceInfo
        • UpdateDeviceTokenRequest
        • RegisterRequest
        • LoginRequest
        • VerifyEmailRequest
        • ResendOtpRequest
        • RefreshTokenRequest
        • ForgotPasswordRequest
        • VerifyResetOtpRequest
        • ResetPasswordRequest
        • AuthResponse
        • RegisterResponse
        • LoginResponse
        • VerifyEmailResponse
        • RefreshTokenResponse
        • VerifyResetOtpResponse
        • BasicTestResponse
        • UserProfileResponse
        • Institution
        • InstitutionMapMarker
        • CreateInstitutionRequest
        • InstitutionResponse
        • InstitutionWorkHistoryEntry
        • InstitutionWorkHistoryListResponse
        • Service
        • SubService
        • ServiceWithSubServices
        • ServicesListResponse
        • ServiceResponse
        • PublicSettingsResponse
        • PartnerRegistration
        • Partner
        • PartnerLocation
        • PartnerDetailed
        • CompetencyTest
        • SubServiceWithTests
        • CompetencyTestsListResponse
        • ServiceWithCompetencyTests
        • ServicesWithCompetencyTestsListResponse
        • ServiceWithCompetencyTestsResponse
        • PartnerCompetencyTestCertificateUpload
        • PartnerCompetencyTest
        • PartnerCompetencyTestResponse
        • PartnerCompetencyTestsListResponse
        • PartnerResponse
        • InstitutionsListResponse
        • InstitutionsMapResponse
        • Banner
        • BannerDetailed
        • NotificationNotifiableRef
        • Notification
        • NotificationsListResponse
        • SendPushNotificationJobNotificationArg
        • SendPushNotificationJobTarget
        • SendPushNotificationJobPerformArgs
        • NotificationShowResponse
        • Certification
        • CertificationDetailed
        • CertificationsListResponse
        • CertificationResponse
        • PartnerCertificationWishlist
        • PartnerCertificationWishlistsListResponse
        • PartnerCertificationWishlistResponse
        • CreateCertificationWishlistRequest
        • PartnerProfileResponse
        • UpdatePersonalInfoRequest
        • UpdateDomicileRequest
        • ChangePasswordRequest
        • PartnerCertification
        • PartnerCertificationsListResponse
        • PartnerEducationResponse
        • PartnerCompetency
        • PartnerCompetenciesListResponse
        • PartnerDetailResponse
        • UpdatePersonalInfoWithPictureRequest
        • PartnersListResponse
        • PartnerListItem
        • WishlistFiltersResponse
        • ContractsListResponse
        • PartnerContractsFlatListResponse
        • PartnerContractsListResponse
        • PartnerContractListItem
        • ContractListItem
        • ContractDetailResponse
        • ContractInspectionDetail
        • ContractInspectionShowResponse
        • ContractInspectionConclusionDetail
        • ContractConclusionShowResponse
        • ContractDetail
        • ContractPartnerAssignment
        • ContractInitialRequest
        • SupervisorAssignPartnerRequest
        • ContractStepOneRequest
        • ContractStepTwoRequest
        • ContractStepThreeRequest
        • ContractUploadPaymentProofRequest
        • PricingPreviewResponse
        • PaymentMethodsResponse
        • RatingsResponse
        • Promotion
        • PromotionsListResponse
        • PromotionValidateRequest
        • PromotionValidateResponse
        • SettingsResponse

    SendPushNotificationJobPerformArgs

    Logical shape of SendPushNotificationJob.perform_later(notification:, target:) / perform_now(...).
    Not a REST request body; provided for client teams aligning FCM handling with server-side kind and ids.

    {
        "notification": {
            "title": "string",
            "body": "string",
            "data": {
                "property1": "string",
                "property2": "string"
            }
        },
        "target": {
            "user_id": 42,
            "user_ids": [
                1,
                2,
                3
            ],
            "fcm_token": "string"
        }
    }
    Built with